def lunar_arithmetic(a, b):
    max_length = max(len(a), len(b))
    a = a.zfill(max_length)
    b = b.zfill(max_length)
    lunar_sum = ""
    lunar_product = ""
    for digit_a, digit_b in zip(a, b):
        lunar_sum += str(max(int(digit_a), int(digit_b)))
        lunar_product += str(min(int(digit_a), int(digit_b)))

    return lunar_sum, lunar_product
a = input().strip()
b = input().strip()
result_sum, result_product = lunar_arithmetic(a, b)
print(result_sum)
print(result_product)
